com.dlsc.flexgantt.model.calendar

## Class AbstractEntryCalendarModel<T,S extends ICalendarEntry>

- java.lang.Object
- - com.dlsc.flexgantt.model.calendar.AbstractCalendarModel<T,S>
  - - com.dlsc.flexgantt.model.calendar.AbstractEntryCalendarModel<T,S>

- Type Parameters:
    `S` - the type of the calendar entries
    `T` - the type of the hiearchy nodes
  All Implemented Interfaces:
    ICalendarModel<T,S>
  Direct Known Subclasses:
    TimeGranularityCalendarModel

      public abstract class AbstractEntryCalendarModel<T,S extends ICalendarEntry>
      extends AbstractCalendarModel<T,S>

  An abstract implementation of the calendar model specialized on using calendar entries, which implement the `ICalendarEntry` interface.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEntryCalendarModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITimeSpan` | `getCalendarEntryTimeSpan(S entry)` Returns the time span allocated to a calendar entry.

    - ### Methods inherited from class com.dlsc.flexgantt.model.calendar.AbstractCalendarModel

      `addCalendarListener, fireCalendarModelChanged, removeCalendarListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.calendar.ICalendarModel

      `getCalendarEntries, getCalendarEntries`

- - ### Constructor Detail

    - #### AbstractEntryCalendarModel

          public AbstractEntryCalendarModel()

  - ### Method Detail

    - #### getCalendarEntryTimeSpan

          public ITimeSpan getCalendarEntryTimeSpan(S entry)

      Description copied from interface: `ICalendarModel`
      Returns the time span allocated to a calendar entry.
      Parameters:
        `entry` - the entry for which to return a time span
      Returns:
        the calendar entry's time span allocation

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.